Subject: bug#22429: Force character to be recognized as LTR inside RTL paragraph

From: "Filipe Moreira" <[email-masked]>
Date: Thu, 21 Jan 2016 13:14:22 -0800

Hi everyone,

I’m using Emacs as a LaTeX editor, with the AUCTeX mode. One document I’m authoring is written in English with some paragraphs in Hebrew or Greek. 

The issue I have is with mixing some neutral characters that need to be LTR, inside a paragraph which is RTL. An example of this is the slash (i.e. ‘\’) character used by LaTeX to signal its commands. Inside a RTL paragraph I ideally want to force Emacs to always interpret the slash character, as well as the open and close brackets (i.e. {}) as LTR. 

This is not what happens at the moment. Here I have a visual representation of the problem: 
http://emacs.stackexchange.com/questions/19696/handling-left-to-right-inside-right-to-left-paragraphs-using-emacs-and-auctex
.

Is it possible to whitelist some characters that should always be interpreted as LTR?

Thanks

Filipe Moreira

-- 

Freelance Web Developer(Ruby & Javascript)

http://coderelax.com/